Retrieve a List of Page Localizations

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
GET /profiles/{profile_id}/pages/{page_id}/localizations

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

Query parameters

  • fields string

    extra information of each page localization on the list

  • limit number

    maximum count of the page localization list

  • offset number

    skip that many page localization before beginning to return

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • language_code string Required
    • label string Required
GET /profiles/{profile_id}/pages/{page_id}/localizations
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v80/[servername]/profiles/self/pages/{page_id}/localizations' \
 --header "Authorization: Bearer {access_token}"
Response examples (200)
[
  {
    "language_code": "es",
    "label": "inspección de la construcción"
  },
  {
    "language_code": "zh-hans",
    "label": "楼宇检查"
  },
  {
    "language_code": "zh-hant",
    "label": "樓宇檢查"
  }
]